> ## Documentation Index
> Fetch the complete documentation index at: https://docs.betterstacks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# update collection



## OpenAPI

````yaml api-reference/openapi.json patch /api/v1/collections/{id}
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.betterstacks.com
  - url: https://betterstacks.com/
    description: Production server
  - url: https://qa.betterstacks.com/
    description: Qa server
security:
  - bearerAuth: []
paths:
  /api/v1/collections/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    patch:
      tags:
        - Collections
      summary: update collection
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                collection:
                  type: object
                  properties:
                    title:
                      type: string
                    description:
                      type: string
                    share_preference:
                      type: string
                    pinned:
                      type: boolean
                    visual_order:
                      type: integer
                    emoji:
                      type: string
                    public_visible:
                      type: boolean
                    share_all_links:
                      type: boolean
                    parent_id:
                      type: integer
                    cover_image_data:
                      type: object
                      properties:
                        data:
                          type: string
      responses:
        '200':
          description: successful
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: X-Authorization
      in: header

````